/* =========================================================================================================
  Script Equipements Unités ADO
  Version: 1.1
  Auteur: The-KiLLeR (www.clan-ado.fr / killouze@hotmail.fr)
========================================================================================================= */
if (!local player) exitWith {};

_ADO_ADDONS_EQUIPEMENTS_tabCamouflage = [
	["Centre Europe","soldat_fr.paa"],
	["Désert","soldat_daguet.paa"],
	["Hiver","soldat_neige.paa"],
	["GIGN","soldat_GIGN.paa"],
	["Urbain","soldat_urban.paa"]
];

_ADO_ADDONS_EQUIPEMENTS_tabFoulard = [
	["- Aucun -",""],
	["Vert","foulard_vert.paa"],
	["Rouge","foulard_rouge.paa"],
	["Bleu","foulard_bleu.paa"],
	["Cyan","foulard_bleu_ciel.paa"],
	["Jaune","foulard_jaune.paa"],
	["Blanc","foulard_blanc.paa"],
	["Noir","foulard_noir.paa"]
];

_ADO_ADDONS_EQUIPEMENTS_tabEcusson = [
	["- Aucun -",""],
	["France","france.paa"],
	["France (Basse vision)","france_bv.paa"],
	["France (Infrarouge)","france_IR.paa"],
	["Belgique","belgique.paa"],
	["GIGN 1","gign.paa"],
	["GIGN 2","gign2.paa"],
	["GIGN 3","gign3.paa"],
	["GIGN 4","gign4.paa"],
	["ONU","onu.paa"],
	["OTAN","otan.paa"],
	["1 RCP","1RCP.paa"],
	["1 RDP","1RDP.paa"],
	["1 RPIMA","1rpima.paa"],
	["11 BP","11_BP.paa"],
	["13 RDP","13_RDP.paa"],
	["Commando","commando.paa"],
	["COS 1","cos.paa"],
	["COS 2","cos_op.paa"],
	["GCM","GCM.paa"],
	["CPA 10","cpa_10.paa"],
	["HUBERT","hubert.paa"],
	["JAUBERT","jaubert.paa"],
	["Infanterie marine","infmarine.paa"],
	["Légion","legion.paa"],
	["La fayette","f_la_fayette.paa"],
	["ADO","ado.paa"]
];

_ADO_ADDONS_EQUIPEMENTS_tabChaussure = [
	["Rangers Noir","rangers.paa"],
	["Rangers Sales","rangers_salle.paa"],
	["Rangers désert","rangers_desert.paa"],
	["Rangers Meindel Felin","meindel_felin.paa"]
];

_ADO_ADDONS_EQUIPEMENTS_tabSanguin = [
	["- Aucun -",""],
	["A+","A+.pac"],
	["A-","A-.pac"],
	["B+","B+.pac"],
	["B-","B-.pac"],
	["AB+","AB+.pac"],
	["AB-","AB-.pac"],
	["O+","O+.pac"],
	["O-","O-.pac"],
	["Médecin","medecin.paa"]
];

_ADO_ADDONS_EQUIPEMENTS_tabGrade = [
	["- Aucun -",""],
	["Recrue","vide.paa"],
	["1ère classe","sdt1.paa"],
	["2ème classe","sdt2.paa"],
	["Caporal","cpl.paa"],
	["Caporal Chef","cch.paa"],
	["Sergent","Sgt.paa"],
	["Sergen Chef","Sch.paa"],
	["Adjudant","Adj.paa"],
	["Adjudant Chef","Adjc.paa"],
	["Major","Mjr.paa"],
	["Aspirant","Asp.paa"],
	["Sous Lieutenant","Slt.paa"],
	["Lieutenant","Ltn.paa"],
	["Capitaine","Cne.paa"],
	["Commandant","Cdt.paa"],
	["Lieutenenant Colonel","Lcl.paa"],
	["Colonel","Col.paa"],
	["Général 1 étoile","general_1etoile.paa"],
	["Général 2 étoiles","general_2etoiles.paa"],
	["Général 3 étoiles","general_3etoiles.paa"],
	["Général 4 étoiles","general_4etoiles.paa"],
	["Médecin","medecin.paa"]
];

_ADO_ADDONS_EQUIPEMENTS_tabBeret1 = [
	["Alat","b_alat_co.paa"],
	["Commando marine","b_cmarine_co.paa"],
	["Légion","b_legion_co.paa"],
	["Parachutiste","b_para_co.paa"],
	["ONU","b_onu_co.paa"],
	["Ecole","b_inf_ecole_co.paa"]
];

_ADO_ADDONS_EQUIPEMENTS_tabBeret2 = [
	["Alat","i_beret_alat_co.paa"],
	["Commando marine","i_beret_cmarine_co.paa"],
	["Légion","i_beret_legion_co.paa"],
	["Parachutiste","i_beret_para_colo_co.paa"],
	["ONU","i_beret_onu_co.paa"],
	["Chasseur Alpin","i_beret_cha_alpin_co.paa"],
	["Transmission","i_beret_trans_co.paa"],
	["Ecole Infanterie","i_beret_inf_co.paa"]
];

_ADO_ADDONS_EQUIPEMENTS_tabCheche = [
	["Marron","cheche4.paa"],
	["Brun","cheche1.paa"],
	["Vert","cheche2.paa"],
	["Gris","cheche3.paa"],
	["Blanc","cheche5.paa"]
];

_ADO_ADDONS_EQUIPEMENTS_tabGilet = [
	["Vert gris","gilet_cos2_co.paa"],
	["Vert","gilet_cos3_co.paa"],
	["Brun","gilet_cos1_co.paa"],
	["Jaune","gilet_cos_co.paa"],
	["Noir","gilet_cos4_co.paa"],
	["Gris","gilet_cos5_co.paa"]
];

_ADO_ADDONS_EQUIPEMENTS_tabGant = [
	["- Aucun -",""],
	["Gant","gants.paa"],
	["Mitaines","mitaines.paa"],
	["Mitaines2","mitaines2.paa"]
];

_listeBerets = [
	"ado_beret_alat",
	"ado_beret_imarine",
	"ado_beret_ecolinf",
	"ado_beret_legion",
	"ado_beret_onu",
	"ado_beret_para"
];

_type = _this select 0;

// Interface d'équipements
if (_type == 1) then {

	ADO_ADDONS_EQUIPEMENTS_close = 0;
	ADO_ADDONS_EQUIPEMENTS_code = 0;
	ADO_ADDONS_EQUIPEMENTS_tab = [];

	ADO_ADDONS_EQUIPEMENTS_camouflage = 0;
	ADO_ADDONS_EQUIPEMENTS_foulard = 0;
	ADO_ADDONS_EQUIPEMENTS_ecusson = 0;
	ADO_ADDONS_EQUIPEMENTS_chaussure = 0;
	ADO_ADDONS_EQUIPEMENTS_sanguin = 0;
	ADO_ADDONS_EQUIPEMENTS_grade = 0;
	ADO_ADDONS_EQUIPEMENTS_beret1 = 0;
	ADO_ADDONS_EQUIPEMENTS_beret2 = 0;
	ADO_ADDONS_EQUIPEMENTS_cheche = 0;
	ADO_ADDONS_EQUIPEMENTS_gilet = 0;
	ADO_ADDONS_EQUIPEMENTS_gant = 0;
	
	// Création de la boite de dialogue
	_ok = createDialog "ADO_ADDONS_EQUIPEMENTS_dlg";
	if (!_ok) exitWith {hint "ERREUR DIALOG";};

	disableSerialization;
	_dialog = findDisplay 1000;

	_imageUnite = _dialog displayCtrl 1001;
	_listeCamouflage = _dialog displayCtrl 1002;
	_listeFoulard = _dialog displayCtrl 1003;
	_listeEcusson = _dialog displayCtrl 1004;
	_listeChaussure = _dialog displayCtrl 1005;
	_listeSanguin = _dialog displayCtrl 1006;
	_listeGrade = _dialog displayCtrl 1007;
	_listeBeret1 = _dialog displayCtrl 1008;
	_listeBeret2 = _dialog displayCtrl 1009;
	_listeCheche = _dialog displayCtrl 1010;
	_listeGilet = _dialog displayCtrl 1011;
	_listeGant = _dialog displayCtrl 1012;

	_imageUnite = _dialog displayCtrl 2001;
	_imageFoulard = _dialog displayCtrl 2003;
	_imageEcusson = _dialog displayCtrl 2004;
	_imageChaussure = _dialog displayCtrl 2005;
	_imageSanguin = _dialog displayCtrl 2006;
	_imageGrade = _dialog displayCtrl 2007;
	_imageBeret1 = _dialog displayCtrl 2008;
	_imageBeret2 = _dialog displayCtrl 2009;
	_imageCheche = _dialog displayCtrl 2010;
	_imageGilet = _dialog displayCtrl 2011;
	_imageGant = _dialog displayCtrl 2012;
	
	_bpUnite = _dialog displayCtrl 3001;
	_bpFoulard = _dialog displayCtrl 3003;
	_bpEcusson = _dialog displayCtrl 3004;
	_bpChaussure = _dialog displayCtrl 3005;
	_bpSanguin = _dialog displayCtrl 3006;
	_bpGrade = _dialog displayCtrl 3007;
	_bpBeret1 = _dialog displayCtrl 3008;
	_bpBeret2 = _dialog displayCtrl 3009;
	_bpCheche = _dialog displayCtrl 3010;
	_bpGilet = _dialog displayCtrl 3011;
	_bpGant = _dialog displayCtrl 3012;
	
	{
		_index = _listeCamouflage lbAdd format["%1",_x select 0];
	} forEach _ADO_ADDONS_EQUIPEMENTS_tabCamouflage;
	_listeCamouflage lbSetCurSel 0;

	{
		_index = _listeFoulard lbAdd format["%1",_x select 0];
	} forEach _ADO_ADDONS_EQUIPEMENTS_tabFoulard;
	_listeFoulard lbSetCurSel 0;

	{
		_index = _listeEcusson lbAdd format["%1",_x select 0];
	} forEach _ADO_ADDONS_EQUIPEMENTS_tabEcusson;
	_listeEcusson lbSetCurSel 0;

	{
		_index = _listeChaussure lbAdd format["%1",_x select 0];
	} forEach _ADO_ADDONS_EQUIPEMENTS_tabChaussure;
	_listeChaussure lbSetCurSel 0;

	{
		_index = _listeSanguin lbAdd format["%1",_x select 0];
	} forEach _ADO_ADDONS_EQUIPEMENTS_tabSanguin;
	_listeSanguin lbSetCurSel 0;

	{
		_index = _listeGrade lbAdd format["%1",_x select 0];
	} forEach _ADO_ADDONS_EQUIPEMENTS_tabGrade;
	_listeGrade lbSetCurSel 0;

	{
		_index = _listeBeret1 lbAdd format["%1",_x select 0];
	} forEach _ADO_ADDONS_EQUIPEMENTS_tabBeret1;
	_listeBeret1 lbSetCurSel 0;

	{
		_index = _listeBeret2 lbAdd format["%1",_x select 0];
	} forEach _ADO_ADDONS_EQUIPEMENTS_tabBeret2;
	_listeBeret2 lbSetCurSel 0;

	{
		_index = _listeCheche lbAdd format["%1",_x select 0];
	} forEach _ADO_ADDONS_EQUIPEMENTS_tabCheche;
	_listeCheche lbSetCurSel 0;
	
	{
		_index = _listeGilet lbAdd format["%1",_x select 0];
	} forEach _ADO_ADDONS_EQUIPEMENTS_tabGilet;
	_listeGilet lbSetCurSel 0;

	{
		_index = _listeGant lbAdd format["%1",_x select 0];
	} forEach _ADO_ADDONS_EQUIPEMENTS_tabGant;
	_listeGant lbSetCurSel 0;	
	
	if (!((typeOf player) in _listeBerets)) then {
		_listeBeret1 ctrlEnable false;
		_listeBeret2 ctrlEnable false;
		_imageBeret1 = "";
		_imageBeret2 = "";
		_bpBeret1 ctrlSetText  "";
		_bpBeret2 ctrlSetText  "";
		_bpBeret1 ctrlEnable false;
		_bpBeret2 ctrlEnable false;
	};
	
	ADO_ADDONS_EQUIPEMENTS_init = true;
	
	while {dialog} do {

		_commandes = "";
		_cmdGrade = "";
		_cmdSanguin = "";
		_cmdEcusson = "";
		_cmdFoulard = "";
		_cmdGant = "";
		_cmdGilet = "";
		_cmdCheche = "";
		_cmdChaussure = "";
		_cmdUnite = "";
		_cmdBeret2 = "";
		_cmdBeret1 = "";
	
		_code = ADO_ADDONS_EQUIPEMENTS_code;
		_selectionCamouflage = lbCurSel _listeCamouflage;
		_selectionFoulard = lbCurSel _listeFoulard;
		_selectionEcusson = lbCurSel _listeEcusson;
		_selectionChaussure = lbCurSel _listeChaussure;
		_selectionSanguin = lbCurSel _listeSanguin;
		_selectionGrade = lbCurSel _listeGrade;
		_selectionBeret1 = lbCurSel _listeBeret1;
		_selectionBeret2 = lbCurSel _listeBeret2;
		_selectionCheche = lbCurSel _listeCheche;
		_selectionGilet = lbCurSel _listeGilet;
		_selectionGant = lbCurSel _listeGant;
	
		waitUntil {ADO_ADDONS_EQUIPEMENTS_init || (_code != ADO_ADDONS_EQUIPEMENTS_code) || (_selectionCamouflage != lbCurSel _listeCamouflage) || (_selectionFoulard != lbCurSel _listeFoulard) || (_selectionEcusson != lbCurSel _listeEcusson) || (_selectionChaussure != lbCurSel _listeChaussure) || (_selectionSanguin != lbCurSel _listeSanguin) || (_selectionGrade != lbCurSel _listeGrade) || (_selectionBeret1 != lbCurSel _listeBeret1) || (_selectionBeret2 != lbCurSel _listeBeret2) || (_selectionCheche != lbCurSel _listeCheche) || (_selectionGilet != lbCurSel _listeGilet) || (_selectionGant != lbCurSel _listeGant) || !dialog};
		if (!dialog) exitWith {};
		ADO_ADDONS_EQUIPEMENTS_init = false;

			if ((typeOf player) in _listeBerets) then {
				_imageBeret1 ctrlSetText format["images\%1",(_ADO_ADDONS_EQUIPEMENTS_tabBeret1 select ADO_ADDONS_EQUIPEMENTS_beret1) select 1];
				_cmdBeret1 = _commandes + format["this setObjectTexture [6,""\ado_cos\beret\%1""]; ",(_ADO_ADDONS_EQUIPEMENTS_tabBeret1 select ADO_ADDONS_EQUIPEMENTS_beret1) select 1];
				_imageBeret2 ctrlSetText format["\ado_cos\beret\%1",(_ADO_ADDONS_EQUIPEMENTS_tabBeret2 select ADO_ADDONS_EQUIPEMENTS_beret2) select 1];
				_cmdBeret2 = _commandes + format["this setObjectTexture [7,""\ado_cos\beret\%1""]; ",(_ADO_ADDONS_EQUIPEMENTS_tabBeret2 select ADO_ADDONS_EQUIPEMENTS_beret2) select 1];
			};
			
			_imageUnite ctrlSetText format["images\%1",(_ADO_ADDONS_EQUIPEMENTS_tabCamouflage select ADO_ADDONS_EQUIPEMENTS_camouflage) select 1];
			_cmdUnite = _commandes + format["this setObjectTexture [3,""\ado_cos\soldat_fr\%1""]; ",(_ADO_ADDONS_EQUIPEMENTS_tabCamouflage select ADO_ADDONS_EQUIPEMENTS_camouflage) select 1];
			_imageChaussure ctrlSetText format["images\%1",(_ADO_ADDONS_EQUIPEMENTS_tabChaussure select ADO_ADDONS_EQUIPEMENTS_chaussure) select 1];
			_cmdChaussure = _commandes + format["this setObjectTexture [4,""\ado_cos\chaussures\%1""]; ",(_ADO_ADDONS_EQUIPEMENTS_tabChaussure select ADO_ADDONS_EQUIPEMENTS_chaussure) select 1];
			_imageCheche ctrlSetText format["images\%1",(_ADO_ADDONS_EQUIPEMENTS_tabCheche select ADO_ADDONS_EQUIPEMENTS_cheche) select 1];
			_cmdCheche = _commandes + format["this setObjectTexture [9,""\ado_cos\cheche\%1""]; ",(_ADO_ADDONS_EQUIPEMENTS_tabCheche select ADO_ADDONS_EQUIPEMENTS_cheche) select 1];
			_imageGilet ctrlSetText format["images\%1",(_ADO_ADDONS_EQUIPEMENTS_tabGilet select ADO_ADDONS_EQUIPEMENTS_gilet) select 1];
			_cmdGilet = _commandes + format["this setObjectTexture [8,""\ado_cos\gilets\%1""]; ",(_ADO_ADDONS_EQUIPEMENTS_tabGilet select ADO_ADDONS_EQUIPEMENTS_gilet) select 1];
			
			if (ADO_ADDONS_EQUIPEMENTS_gant == 0) then {
				_imageGant ctrlSetText "";
				_cmdGant = _commandes + "this setObjectTexture [10,""\ado_cos\tetes\data\hhl_01_co.paa""]; ";
			} else {
				_imageGant ctrlSetText format["images\%1",(_ADO_ADDONS_EQUIPEMENTS_tabGant select ADO_ADDONS_EQUIPEMENTS_gant) select 1];
				_cmdGant = _commandes + format["this setObjectTexture [10,""\ado_cos\gants\%1""]; ",(_ADO_ADDONS_EQUIPEMENTS_tabGant select ADO_ADDONS_EQUIPEMENTS_gant) select 1];
			};
			
			if (ADO_ADDONS_EQUIPEMENTS_foulard == 0) then {
				_imageFoulard ctrlSetText "";
				_cmdFoulard = _commandes + "this setObjectTexture [0,""""]; ";
			} else {
				_imageFoulard ctrlSetText format["images\%1",(_ADO_ADDONS_EQUIPEMENTS_tabFoulard select ADO_ADDONS_EQUIPEMENTS_foulard) select 1];
				_cmdFoulard = _commandes + format["this setObjectTexture [0,""\ado_cos\groupe\%1""]; ",(_ADO_ADDONS_EQUIPEMENTS_tabFoulard select ADO_ADDONS_EQUIPEMENTS_foulard) select 1];
			};
			
			if (ADO_ADDONS_EQUIPEMENTS_ecusson == 0) then {
				_imageEcusson ctrlSetText "";
				_cmdEcusson = _commandes + "this setObjectTexture [2,""""]; ";
			} else {
				_imageEcusson ctrlSetText format["\ado_cos\camp\%1",(_ADO_ADDONS_EQUIPEMENTS_tabEcusson select ADO_ADDONS_EQUIPEMENTS_ecusson) select 1];
				_cmdEcusson = _commandes + format["this setObjectTexture [2,""\ado_cos\camp\%1""]; ",(_ADO_ADDONS_EQUIPEMENTS_tabEcusson select ADO_ADDONS_EQUIPEMENTS_ecusson) select 1];
			};
			
			if (ADO_ADDONS_EQUIPEMENTS_sanguin == 0) then {
				_imageSanguin ctrlSetText "";
				_cmdSanguin = _commandes + "this setObjectTexture [1,""""]; ";
			} else {
				_imageSanguin ctrlSetText format["\ado_cos\grp_sanguin\%1",(_ADO_ADDONS_EQUIPEMENTS_tabSanguin select ADO_ADDONS_EQUIPEMENTS_sanguin) select 1];
				_cmdSanguin = _commandes + format["this setObjectTexture [1,""\ado_cos\grp_sanguin\%1""]; ",(_ADO_ADDONS_EQUIPEMENTS_tabSanguin select ADO_ADDONS_EQUIPEMENTS_sanguin) select 1];
			};
			
			if (ADO_ADDONS_EQUIPEMENTS_grade == 0) then {
				_imageGrade ctrlSetText "";
				_cmdGrade = _commandes + "this setObjectTexture [5,""""]; ";
			} else {
				_imageGrade ctrlSetText format["\ado_cos\grades\%1",(_ADO_ADDONS_EQUIPEMENTS_tabGrade select ADO_ADDONS_EQUIPEMENTS_grade) select 1];
				_cmdGrade = _commandes + format["this setObjectTexture [5,""\ado_cos\grades\%1""]; ",(_ADO_ADDONS_EQUIPEMENTS_tabGrade select ADO_ADDONS_EQUIPEMENTS_grade) select 1];
			};

			ADO_ADDONS_EQUIPEMENTS_tab = [ctrlText _bpUnite,ctrlText _bpBeret1,ctrlText _bpBeret2,ctrlText _bpChaussure,ctrlText _bpCheche,ctrlText _bpGilet,ctrlText _bpGant,ctrlText _bpFoulard,ctrlText _bpEcusson,ctrlText _bpSanguin,ctrlText _bpGrade];
			
			if (ADO_ADDONS_EQUIPEMENTS_code == 1) then {
				
				if (ctrlText _bpUnite == "X") then {_commandes = _commandes + _cmdUnite};
				if (ctrlText _bpBeret1 == "X") then {_commandes = _commandes + _cmdBeret1};
				if (ctrlText _bpBeret2 == "X") then {_commandes = _commandes + _cmdBeret2};
				if (ctrlText _bpChaussure == "X") then {_commandes = _commandes + _cmdChaussure};
				if (ctrlText _bpCheche == "X") then {_commandes = _commandes + _cmdCheche};
				if (ctrlText _bpGilet == "X") then {_commandes = _commandes + _cmdGilet};
				if (ctrlText _bpGant == "X") then {_commandes = _commandes + _cmdGant};
				if (ctrlText _bpFoulard == "X") then {_commandes = _commandes + _cmdFoulard};
				if (ctrlText _bpEcusson == "X") then {_commandes = _commandes + _cmdEcusson};
				if (ctrlText _bpSanguin == "X") then {_commandes = _commandes + _cmdSanguin};
				if (ctrlText _bpGrade == "X") then {_commandes = _commandes + _cmdGrade};
	
				copyToClipboard _commandes;
				ADO_ADDONS_EQUIPEMENTS_code = 0;
			};
			
			if (ADO_ADDONS_EQUIPEMENTS_close == 1) then {
				closeDialog 0;
				[2,ADO_ADDONS_EQUIPEMENTS_tab] execVM "ado_equipements.sqf";
			};

	};
};


// Ajout équipements
if (_type == 2) then {

	_tab = _this select 1;

	if (_tab select 0 == "X") then {player setobjectTexture [3,format["\ado_cos\soldat_fr\%1",(_ADO_ADDONS_EQUIPEMENTS_tabCamouflage select ADO_ADDONS_EQUIPEMENTS_camouflage) select 1]];};
	if (_tab select 1 == "X") then {player setobjectTexture [6,format["\ado_cos\beret\%1",(_ADO_ADDONS_EQUIPEMENTS_tabBeret1 select ADO_ADDONS_EQUIPEMENTS_beret1) select 1]];};
	if (_tab select 2 == "X") then {player setobjectTexture [7,format["\ado_cos\beret\%1",(_ADO_ADDONS_EQUIPEMENTS_tabBeret2 select ADO_ADDONS_EQUIPEMENTS_beret2) select 1]];};
	if (_tab select 3 == "X") then {player setobjectTexture [4,format["\ado_cos\chaussures\%1",(_ADO_ADDONS_EQUIPEMENTS_tabChaussure select ADO_ADDONS_EQUIPEMENTS_chaussure) select 1]];};
	if (_tab select 4 == "X") then {player setobjectTexture [9,format["\ado_cos\cheche\%1",(_ADO_ADDONS_EQUIPEMENTS_tabCheche select ADO_ADDONS_EQUIPEMENTS_cheche) select 1]];};
	if (_tab select 5 == "X") then {player setobjectTexture [8,format["\ado_cos\gilets\%1",(_ADO_ADDONS_EQUIPEMENTS_tabGilet select ADO_ADDONS_EQUIPEMENTS_gilet) select 1]];};

	if ((ADO_ADDONS_EQUIPEMENTS_gant == 0) || (_tab select 6 == "")) then {
		player setobjectTexture [10,"\ado_cos\tetes\data\hhl_01_co.paa"];
	} else {
		player setobjectTexture [10,format["\ado_cos\gants\%1",(_ADO_ADDONS_EQUIPEMENTS_tabGant select ADO_ADDONS_EQUIPEMENTS_gant) select 1]];
	};
	
	if ((ADO_ADDONS_EQUIPEMENTS_foulard == 0) || (_tab select 7 == "")) then {
		player setobjectTexture [0,""];
	} else {
		player setobjectTexture [0,format["\ado_cos\groupe\%1",(_ADO_ADDONS_EQUIPEMENTS_tabFoulard select ADO_ADDONS_EQUIPEMENTS_foulard) select 1]];
	};
	
	if ((ADO_ADDONS_EQUIPEMENTS_ecusson == 0) || (_tab select 8 == "")) then {
		player setobjectTexture [2,""];
	} else {
		player setobjectTexture [2,format["\ado_cos\camp\%1",(_ADO_ADDONS_EQUIPEMENTS_tabEcusson select ADO_ADDONS_EQUIPEMENTS_ecusson) select 1]];
	};
	
	if ((ADO_ADDONS_EQUIPEMENTS_sanguin == 0) || (_tab select 9 == "")) then {
		player setobjectTexture [1,""];
	} else {
		player setobjectTexture [1,format["\ado_cos\grp_sanguin\%1",(_ADO_ADDONS_EQUIPEMENTS_tabSanguin select ADO_ADDONS_EQUIPEMENTS_sanguin) select 1]];
	};
	
	if ((ADO_ADDONS_EQUIPEMENTS_grade == 0) || (_tab select 10 == "")) then {
		player setobjectTexture [5,""];
	} else {
		player setobjectTexture [5,format["\ado_cos\grades\%1",(_ADO_ADDONS_EQUIPEMENTS_tabGrade select ADO_ADDONS_EQUIPEMENTS_grade) select 1]];
	};
};

if (true) exitWith {};